com.fasterxml.jackson.dataformat.avro.deser

## Class MissingReader

- java.lang.Object
- - com.fasterxml.jackson.core.JsonStreamContext
  - - com.fasterxml.jackson.dataformat.avro.deser.AvroReadContext
    - - com.fasterxml.jackson.dataformat.avro.deser.MissingReader

-     public class MissingReader
      extends AvroReadContext

  Bogus `AvroReadContext` implementation used in two cases:
  1. Parser has not yet been configured by an Avro Schema
  2. Parser has been closed (explicitly or implicitly)
  In former case, attempts to read will result in a `JsonParseException`; in latter case, results will simply indicate unavailability of content (return `null` in most cases)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `_schemaSet`
    `static MissingReader` | `closedInstance`
    `static MissingReader` | `instance`

    - ### Fields inherited from class com.fasterxml.jackson.dataformat.avro.deser.AvroReadContext

      `_currentValue, _parent, _typeId`

    - ### Fields inherited from class com.fasterxml.jackson.core.JsonStreamContext

      `_index, _type, TYPE_ARRAY, TYPE_OBJECT, TYPE_ROOT`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `MissingReader()` Deprecated.
    `protected` | `MissingReader(boolean schemaSet)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `_checkSchemaSet()`
    `void` | `appendDesc(StringBuilder sb)`
    `com.fasterxml.jackson.core.JsonToken` | `getCurrentToken()`
    `String` | `nextFieldName()`
    `com.fasterxml.jackson.core.JsonToken` | `nextToken()`
    `void` | `skipValue(AvroParserImpl parser)`

    - ### Methods inherited from class com.fasterxml.jackson.dataformat.avro.deser.AvroReadContext

      `_reportError, getCurrentName, getCurrentValue, getParent, getRemainingElements, getTypeId, setCurrentValue, toString`

    - ### Methods inherited from class com.fasterxml.jackson.core.JsonStreamContext

      `getCurrentIndex, getEntryCount, getStartLocation, getTypeDesc, hasCurrentIndex, hasCurrentName, hasPathSegment, inArray, inObject, inRoot, pathAsPointer, pathAsPointer, typeDesc`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### instance

          public static final MissingReader instance

    - #### closedInstance

          public static final MissingReader closedInstance

    - #### _schemaSet

          protected final boolean _schemaSet

  - ### Constructor Detail

    - #### MissingReader

          @Deprecated
          public MissingReader()

      Deprecated.

    - #### MissingReader

          protected MissingReader(boolean schemaSet)

  - ### Method Detail

    - #### nextToken

          public com.fasterxml.jackson.core.JsonToken nextToken()
                                                         throws IOException

      Specified by:
        `nextToken` in class `AvroReadContext`
      Throws:
        `IOException`

    - #### getCurrentToken

          public com.fasterxml.jackson.core.JsonToken getCurrentToken()

      Specified by:
        `getCurrentToken` in class `AvroReadContext`

    - #### appendDesc

          public void appendDesc(StringBuilder sb)

      Specified by:
        `appendDesc` in class `AvroReadContext`

    - #### nextFieldName

          public String nextFieldName()
                               throws IOException

      Specified by:
        `nextFieldName` in class `AvroReadContext`
      Throws:
        `IOException`

    - #### skipValue

          public void skipValue(AvroParserImpl parser)
                         throws IOException

      Specified by:
        `skipValue` in class `AvroReadContext`
      Throws:
        `IOException`

    - #### _checkSchemaSet

          protected void _checkSchemaSet()
                                  throws IOException

      Throws:
        `IOException`

Copyright © 2019 FasterXML. All rights reserved.